tbb::final_scan_tag Struct Reference
Algorithms

Used to indicate that the final scan is being performed. More...

`#include <parallel_scan.h>`

Collaboration diagram for tbb::final_scan_tag:

## Public Member Functions

| operator bool ()

## Static Public Member Functions

static bool | is_final_scan ()

## Detailed Description

Used to indicate that the final scan is being performed.

Definition at line 39 of file parallel_scan.h.

## Member Function Documentation

## is_final_scan()

static bool tbb::final_scan_tag::is_final_scan | ( |  | ) |

inline static

Definition at line 40 of file parallel_scan.h.

{return true;}

Referenced by operator bool().

Here is the caller graph for this function:

## operator bool()

tbb::final_scan_tag::operator bool | ( |  | ) |

inline

Definition at line 41 of file parallel_scan.h.

{return is_final_scan();}

References is_final_scan().

Here is the call graph for this function:

The documentation for this struct was generated from the following file:

- parallel_scan.h

tbb::final_scan_tag::is_final_scan
static bool is_final_scan()
Definition: parallel_scan.h:40

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.